%define modulename  serpent

Name:		python-%{modulename}
Summary:	serializer for literal Python expressions
Version:	1.40
Release:	%mkrel 3
License:	MIT
Group:		Development/Python
URL:		https://pypi.python.org/pypi/%{modulename}
Source:		https://pypi.io/packages/source/s/%{modulename}/%{modulename}-%{version}.tar.gz
BuildArch:	noarch

%description
Serpent is a simple serialization library based on ast.literal_eval.

Because it only serializes literals and recreates the objects using
ast.literal_eval(), the serialized data is safe to transport to other
machines (over the network for instance) and de-serialize it there.

%package -n python3-%{modulename}
Summary:	serializer for literal Python expressions
Group:		Development/Python
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{modulename}}

%description -n python3-%{modulename}
Serpent is a simple serialization library based on ast.literal_eval.

Because it only serializes literals and recreates the objects using
ast.literal_eval(), the serialized data is safe to transport to other
machines (over the network for instance) and de-serialize it there.

%prep
%setup -q -n %{modulename}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files serpent

%files -n python3-%{modulename} -f %{pyproject_files}


%changelog
* Thu Dec 14 2023 papoteur <papoteur> 1.40-3.mga10
+ Revision: 2018082
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.40-2.mga9
+ Revision: 1823336
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 1.40-1.mga9
+ Revision: 1782647
- version 1.40
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.30.2-2.mga9
+ Revision: 1732698
- Rebuild for python 3.9

* Wed Sep 09 2020 guillomovitch <guillomovitch> 1.30.2-1.mga8
+ Revision: 1623953
- new version 1.30.2

* Sun Feb 16 2020 umeabot <umeabot> 1.27-3.mga8
+ Revision: 1536328
- Mageia 8 Mass Rebuild

* Wed Oct 16 2019 daviddavid <daviddavid> 1.27-2.mga8
+ Revision: 1453954
- rebuild for python3.8
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 1.27-1.mga7
+ Revision: 1353979
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.24-2.mga7
+ Revision: 1290018
- Mageia 7 Mass Rebuild

* Wed Apr 25 2018 kekepower <kekepower> 1.24-1.mga7
+ Revision: 1222321
- Update to version 1.24
- Rename python-serpent to python2-serpent
- Use python_provide

* Sat Aug 05 2017 pterjan <pterjan> 1.7-7.mga7
+ Revision: 1135628
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 1.7-6.mga6
+ Revision: 970947
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 1.7-5.mga6
+ Revision: 888870
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.7-4.mga5
+ Revision: 746243
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.7-3.mga5
+ Revision: 729756
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.7-2.mga5
+ Revision: 688325
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 philippem <philippem> 1.7-1.mga5
+ Revision: 674401
- update to 1.7

* Sat May 31 2014 pterjan <pterjan> 1.3-4.mga5
+ Revision: 629006
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.3-3.mga4
+ Revision: 544171
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.3-2.mga4
+ Revision: 499354
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Sep 06 2013 philippem <philippem> 1.3-1.mga4
+ Revision: 475516
- imported package python-serpent

